> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Catalog Entry

> Update metadata on an org-scoped catalog entry.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json patch /organization/agent-catalog/{catalog_id}
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /organization/agent-catalog/{catalog_id}:
    patch:
      summary: Update Catalog Entry
      description: Update metadata on an org-scoped catalog entry.
      operationId: update_catalog_entry
      parameters:
        - name: catalog_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Catalog Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/BedrockCatalogUpdate'
                - $ref: '#/components/schemas/AzureOpenAICatalogUpdate'
                - $ref: '#/components/schemas/AzureAICatalogUpdate'
                - $ref: '#/components/schemas/VertexAICatalogUpdate'
              title: Params
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentCatalogRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
components:
  schemas:
    BedrockCatalogUpdate:
      properties:
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        model_provider:
          type: string
          const: bedrock
          title: Model Provider
        inference_profile_id:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Inference Profile Id
        model_id:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Model Id
        use_converse:
          type: boolean
          title: Use Converse
          default: false
      additionalProperties: false
      type: object
      required:
        - model_provider
      title: BedrockCatalogUpdate
    AzureOpenAICatalogUpdate:
      properties:
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        model_provider:
          type: string
          const: azure_openai
          title: Model Provider
        deployment_name:
          type: string
          minLength: 1
          title: Deployment Name
      additionalProperties: false
      type: object
      required:
        - model_provider
        - deployment_name
      title: AzureOpenAICatalogUpdate
    AzureAICatalogUpdate:
      properties:
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        model_provider:
          type: string
          const: azure_ai
          title: Model Provider
        azure_ai_model_name:
          type: string
          minLength: 1
          title: Azure Ai Model Name
      additionalProperties: false
      type: object
      required:
        - model_provider
        - azure_ai_model_name
      title: AzureAICatalogUpdate
    VertexAICatalogUpdate:
      properties:
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        model_provider:
          type: string
          const: vertex_ai
          title: Model Provider
        vertex_model:
          type: string
          minLength: 1
          title: Vertex Model
      additionalProperties: false
      type: object
      required:
        - model_provider
        - vertex_model
      title: VertexAICatalogUpdate
    AgentCatalogRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        custom_provider_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Custom Provider Id
        organization_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Organization Id
        model_provider:
          type: string
          title: Model Provider
        model_name:
          type: string
          title: Model Name
        model_metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Model Metadata
      type: object
      required:
        - id
        - custom_provider_id
        - organization_id
        - model_provider
        - model_name
        - model_metadata
      title: AgentCatalogRead
      description: Single catalog model entry.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````